## org.eclipse.datatools.sqltools.sqlbuilder.util
Class ViewUtility

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.util.ViewUtility

    public class ViewUtility

extends java.lang.Object

Constructor Summary
`ViewUtility()`

Method Summary
`static org.eclipse.swt.widgets.Button` `createCheckBox(org.eclipse.swt.widgets.Composite parent, java.lang.String label)` Helper method for creating check box
`static org.eclipse.swt.widgets.Combo` `createComboBox(org.eclipse.swt.widgets.Composite parent)`
`static org.eclipse.swt.widgets.Combo` `createComboBox(org.eclipse.swt.widgets.Composite parent, boolean isReadOnly)`
`static org.eclipse.swt.widgets.Composite` `createComposite(org.eclipse.swt.widgets.Composite parent, int numColumns)`
`static org.eclipse.swt.widgets.Composite` `createComposite(org.eclipse.swt.widgets.Composite parent, int numColumns, boolean horizontalFill)`
`static org.eclipse.swt.widgets.Composite` `createComposite(org.eclipse.swt.widgets.Composite parent, int numColumns, boolean horizontalFill, boolean verticalFill)`
`static org.eclipse.swt.layout.GridData` `createFill()` Creates a grid data object that occupies vertical and horizontal space.
`static org.eclipse.swt.widgets.Group` `createGroup(org.eclipse.swt.widgets.Composite parent, int numColumns, java.lang.String text, boolean verticalFill)`
`static org.eclipse.swt.widgets.Group` `createGroup(org.eclipse.swt.widgets.Composite parent, int numColumns, java.lang.String text, boolean verticalFill, int alignment)`
`static org.eclipse.swt.layout.GridData` `createHorizontalFill()` Creates a grid data object that occupies horizontal space.
`static org.eclipse.swt.widgets.Label` `createHorizontalFiller(org.eclipse.swt.widgets.Composite parent, int horizontalSpan)`
`static org.eclipse.swt.widgets.Label` `createLabel(org.eclipse.swt.widgets.Composite parent, java.lang.String text)` Helper method for creating labels.
`static org.eclipse.swt.widgets.Label` `createLabel(org.eclipse.swt.widgets.Composite parent, java.lang.String text, int alignment)`
`static org.eclipse.swt.widgets.List` `createListBox(org.eclipse.swt.widgets.Composite parent, int style)`
`static org.eclipse.swt.widgets.List` `createListBox(org.eclipse.swt.widgets.Composite parent, int width, boolean isMultiSelect)`
`static org.eclipse.swt.widgets.Text` `createMultiTextField(org.eclipse.swt.widgets.Composite parent, int width, int height, boolean verticalFill)`
`static org.eclipse.swt.widgets.Composite` `createNestedComposite(org.eclipse.swt.widgets.Composite parent, int style)`
`static org.eclipse.swt.widgets.Button` `createPushButton(org.eclipse.swt.widgets.Composite parent, java.lang.String label)` Helper method for creating buttons.
`static org.eclipse.swt.widgets.Button` `createRadioButton(org.eclipse.swt.widgets.Composite parent, java.lang.String label)` Create radio button
`static org.eclipse.swt.widgets.Table` `createTable(org.eclipse.swt.widgets.Composite parent)`
`static org.eclipse.swt.widgets.Text` `createTextField(org.eclipse.swt.widgets.Composite parent, int width)`
`static org.eclipse.swt.layout.GridData` `createVerticalFill()` Creates a grid data object that occupies vertical space.
`static org.eclipse.swt.widgets.Label` `createVerticalFiller(org.eclipse.swt.widgets.Composite parent, int verticalSpan)`
`static org.eclipse.swt.widgets.Text` `createWrappedMultiTextField(org.eclipse.swt.widgets.Composite parent, int width, int numLines, boolean verticalFill)` `createWrappedMultiTextField` creates a wrapped multitext field
`static org.eclipse.swt.graphics.Font` `getFont()`
`static void` `setComposite(org.eclipse.swt.widgets.Composite comp)`
`static void` `setFont(org.eclipse.swt.graphics.Font newFont)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewUtility

    public ViewUtility()

Method Detail

### getFont

    public static org.eclipse.swt.graphics.Font getFont()

### setFont

    public static void setFont(org.eclipse.swt.graphics.Font newFont)

### setComposite

    public static void setComposite(org.eclipse.swt.widgets.Composite comp)

### createComposite

    public static org.eclipse.swt.widgets.Composite createComposite(org.eclipse.swt.widgets.Composite parent,
                                                                    int numColumns)

### createComposite

    public static org.eclipse.swt.widgets.Composite createComposite(org.eclipse.swt.widgets.Composite parent,
                                                                    int numColumns,
                                                                    boolean horizontalFill)

### createComposite

    public static org.eclipse.swt.widgets.Composite createComposite(org.eclipse.swt.widgets.Composite parent,
                                                                    int numColumns,
                                                                    boolean horizontalFill,
                                                                    boolean verticalFill)

### createNestedComposite

    public static org.eclipse.swt.widgets.Composite createNestedComposite(org.eclipse.swt.widgets.Composite parent,
                                                                          int style)

### createHorizontalFiller

    public static org.eclipse.swt.widgets.Label createHorizontalFiller(org.eclipse.swt.widgets.Composite parent,
                                                                       int horizontalSpan)

### createLabel

    public static org.eclipse.swt.widgets.Label createLabel(org.eclipse.swt.widgets.Composite parent,
                                                            java.lang.String text)

  Helper method for creating labels.

### createLabel

    public static org.eclipse.swt.widgets.Label createLabel(org.eclipse.swt.widgets.Composite parent,
                                                            java.lang.String text,
                                                            int alignment)

### createPushButton

    public static org.eclipse.swt.widgets.Button createPushButton(org.eclipse.swt.widgets.Composite parent,
                                                                  java.lang.String label)

  Helper method for creating buttons.

### createTable

    public static org.eclipse.swt.widgets.Table createTable(org.eclipse.swt.widgets.Composite parent)

### createRadioButton

    public static org.eclipse.swt.widgets.Button createRadioButton(org.eclipse.swt.widgets.Composite parent,
                                                                   java.lang.String label)

  Create radio button

### createCheckBox

    public static org.eclipse.swt.widgets.Button createCheckBox(org.eclipse.swt.widgets.Composite parent,
                                                                java.lang.String label)

  Helper method for creating check box

### createComboBox

    public static org.eclipse.swt.widgets.Combo createComboBox(org.eclipse.swt.widgets.Composite parent)

### createComboBox

    public static org.eclipse.swt.widgets.Combo createComboBox(org.eclipse.swt.widgets.Composite parent,
                                                               boolean isReadOnly)

### createListBox

    public static org.eclipse.swt.widgets.List createListBox(org.eclipse.swt.widgets.Composite parent,
                                                             int width,
                                                             boolean isMultiSelect)

### createListBox

    public static org.eclipse.swt.widgets.List createListBox(org.eclipse.swt.widgets.Composite parent,
                                                             int style)

### createTextField

    public static org.eclipse.swt.widgets.Text createTextField(org.eclipse.swt.widgets.Composite parent,
                                                               int width)

### createWrappedMultiTextField

    public static org.eclipse.swt.widgets.Text createWrappedMultiTextField(org.eclipse.swt.widgets.Composite parent,
                                                                           int width,
                                                                           int numLines,
                                                                           boolean verticalFill)

  `createWrappedMultiTextField` creates a wrapped multitext field

  Parameters:
    `parent` - a `Composite` value
    `width` - an `int` value
    `numLines` - an `int` value representing number of characters in height
    `verticalFill` - a `boolean` value
  Returns:
    a `Text` value

### createMultiTextField

    public static org.eclipse.swt.widgets.Text createMultiTextField(org.eclipse.swt.widgets.Composite parent,
                                                                    int width,
                                                                    int height,
                                                                    boolean verticalFill)

### createGroup

    public static org.eclipse.swt.widgets.Group createGroup(org.eclipse.swt.widgets.Composite parent,
                                                            int numColumns,
                                                            java.lang.String text,
                                                            boolean verticalFill)

### createGroup

    public static org.eclipse.swt.widgets.Group createGroup(org.eclipse.swt.widgets.Composite parent,
                                                            int numColumns,
                                                            java.lang.String text,
                                                            boolean verticalFill,
                                                            int alignment)

### createVerticalFiller

    public static org.eclipse.swt.widgets.Label createVerticalFiller(org.eclipse.swt.widgets.Composite parent,
                                                                     int verticalSpan)

### createFill

    public static org.eclipse.swt.layout.GridData createFill()

  Creates a grid data object that occupies vertical and horizontal space.

### createHorizontalFill

    public static org.eclipse.swt.layout.GridData createHorizontalFill()

  Creates a grid data object that occupies horizontal space.

### createVerticalFill

    public static org.eclipse.swt.layout.GridData createVerticalFill()

  Creates a grid data object that occupies vertical space.